/*
================================ COPYRIGHT ================================
The contents of this file are subject to the VTech Informations Ltd. License
of VT-OS Ver. 1.1 operating system (the "License"); you may not use this 
file except in compliance with the License.  
 
Software distributed under the License is distributed on an "AS IS" basis, 
WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License 
for the specific language governing rights and limitations under the License.
 
The Original Code is VT-OS Ver. 1.1 Operating System, released 
on October 1st, 1999

The Initial Developer of the Original Code is VTech Informations Ltd.  All 
codes are Copyright (C) VTech Informations Ltd. 1999.  All Rights Reserved.
===========================================================================
*/

/*
===========================================================================
File        :   ddapi.h
Author(s)   :   Thomas Cheng, Henry Fok
Company     :   VTech Informations Ltd.
Project     :   Helio 
Date:	    :   October 1st, 1999
Purpose:	:   Header file for different pre-set picture in the system
Revision    :   1.1
Note        :   None
===========================================================================
*/

#include "LcdApi.h"
#ifdef PC_SIM
#include "PenApi.h"
#endif
#ifdef 	PR31700
#include "PenMgr.h"
#endif
#include "KeyApi.h"
#include "Eventmgr.h"
#include "Msg.h"
#include "TmrApi.h"
#include "qtype.h"

extern MsgQueueType msgQueue;
extern EvtQueueType evtQueue;

extern UWORD upper_triangle[10];
extern UWORD lower_triangle[10];
extern UWORD left_triangle[10];
extern UWORD right_triangle[10];
extern UWORD square[10];
extern UWORD cross_square[10];
extern UWORD large_triangle[120];
extern UWORD small_upper_triangle[8];
extern UWORD small_lower_triangle[8];
extern UWORD arrow_up[7];
extern UWORD arrow_down[7];
extern UWORD list_34_arrow_up[7];
extern UWORD list_34_arrow_down[7];
extern UWORD popup_lower_triangle[4];
extern UWORD popup_upper_triangle[4];
extern BYTE FONT_HEIGHT[NUM_OF_FONTS];
extern const UWORD key0[];
extern const UWORD key1[];
extern const UWORD key2[];
extern const UWORD key3[];
extern const UWORD key4[];
extern const UWORD key5[];
extern const UWORD key6[];
extern const UWORD key7[];
extern const UWORD key8[];
extern const UWORD key9[];
extern const ObjectBounds keys_bounds[];
extern const ObjectBounds control_keys_bounds[];
extern const SHORT keyboard_bitmap_index[];

/*		Scrollbar Object			*/
extern UWORD scroll_up_arrow[16];
extern UWORD scroll_down_arrow[16];
extern UWORD scroll_car_diagram[7];

/*		Scheduler Line Object		*/
extern UWORD schline_header1[240];
extern UWORD schline_header2[240];
extern UWORD sch24_d0[18];
extern UWORD sch24_d1[18];
extern UWORD sch24_d2[22];
extern UWORD sch24_d3[18];
extern UWORD sch24_d4[18];
extern UWORD sch12_d0[18];
extern UWORD sch12_d1[18];
extern UWORD sch12_d2[22];
extern UWORD sch12_d3[18];
extern UWORD sch12_d4[18];

